aboutsummaryrefslogtreecommitdiffhomepage
path: root/examples/data/scripts/download.sh
diff options
context:
space:
mode:
authorGravatar Dieter Plaetinck <dieter@plaetinck.be>2010-01-24 14:33:28 +0100
committerGravatar Dieter Plaetinck <dieter@plaetinck.be>2010-01-24 14:33:28 +0100
commit27b23bc15985aea687aecec580d668b7f9701eb3 (patch)
treeb82659a8350c09d85e85e74af639ee909892d37e /examples/data/scripts/download.sh
parent6d4547a49805b552e9b56d41a653a0912e7b0534 (diff)
parentc8fb24d1069aa776bccdf3141adb9d3c3f6e8101 (diff)
merge in experimental
Diffstat (limited to 'examples/data/scripts/download.sh')
-rwxr-xr-xexamples/data/scripts/download.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/examples/data/scripts/download.sh b/examples/data/scripts/download.sh
new file mode 100755
index 0000000..1c7d039
--- /dev/null
+++ b/examples/data/scripts/download.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+# just an example of how you could handle your downloads
+# try some pattern matching on the uri to determine what we should do
+
+# Some sites block the default wget --user-agent..
+GET="wget --user-agent=Firefox"
+
+dest="$HOME"
+url="$8"
+
+http_proxy="$9"
+export http_proxy
+
+test "x$url" = "x" && { echo "you must supply a url! ($url)"; exit 1; }
+
+# only changes the dir for the $get sub process
+if echo "$url" | grep -E '.*\.torrent' >/dev/null;
+then
+ ( cd "$dest"; $GET "$url")
+else
+ ( cd "$dest"; $GET "$url")
+fi